petsc-3.6.2 2015-10-02
Report Typos and Errors

# VecUniqueEntries

Compute the number of unique entries, and those entries

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecUniqueEntries(Vec vec, PetscInt *n, PetscScalar **e)

Collective on Vec

### Input Parameter

vec -the vector

### Output Parameters

| n | - The number of unique entries
| e | - The entries

Level:intermediate
Location:src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages